extend("ahhp:base_lantern");

var utils = implement("fiskheroes:external/utils");
var models_stuff = implement("ahhp:external/model_stuff");
var lantern_aura = implement("ahhp:external/lantern_aura");

loadTextures({
    "ring_lights": "ahhp:lantern/star_sapphire_ring",
    "hammer_lights": "ahhp:lantern/star_sapphire_hammer",
    "model_lights": "ahhp:lantern/star_sapphire_model_lights",
    "ring": "ahhp:lantern/star_sapphire_ring",
    "hammer": "ahhp:lantern/star_sapphire_hammer",
    "model": "ahhp:lantern/star_sapphire_model"
});

function getColor() {
    return 0xFFC0CB;
}

function getLantern() {
    return "star_sapphire";
}

function getRing() {
    return "lantern_ring";
}

function init(renderer) {
    parent.init(renderer);
    initEffects(renderer);
}

function initEffects(renderer) {
    parent.initEffects(renderer);
}

function render(entity, renderLayer, isFirstPersonArm) {
    parent.render(entity, renderLayer, isFirstPersonArm);
}